Subject: Re: [PATCH v4 12/12] t: detect errors outside of test cases

From: Jeff King <[email-masked]>
Date: Sat, 18 Apr 2026 17:05:18 -0400

On Sat, Apr 18, 2026 at 12:24:53PM -0700, Junio C Hamano wrote:

> We could forget about "we know this is a good shell by its name and
> version" and test the feature we depend on ourselves, perhaps?

I looked into that but didn't get anywhere useful. You can try to test
all of the "set -e" scenarios we care about, but there are a lot of
them. For example, I would never have thought to check how "command"
behaves inside a &&-chain while "set -e" is in effect.

So you basically end up adding a test case for the bugs you find, at
which point it is not much better than blocking known-bad versions.

-Peff